package com.emato.cus.supervise.biz.acq03inve;

import com.emato.cus.supervise.biz.CusData;
import com.emato.cus.supervise.constant.EmtRecordTimeEnum;
import com.emato.cus.supervise.domain.WmsAcqInventoryInfo03;
import com.emato.cus.supervise.domainCus.CusAcqInventoryInfo03;
import com.emato.cus.supervise.entity.Wms2CusAcqInventoryInfo03;
import com.emato.cus.supervise.service.cus.CusAcqInventoryInfoService03;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 货物库存数据 业务 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 12:38
 */
@Component
public class Acq03CusData implements CusData {
    private static final Logger logger = LoggerFactory.getLogger(Acq03CusData.class);

    @Autowired
    private CusAcqInventoryInfoService03 cusAcqInventoryInfoService03;

    private static final String DATA_TYPE_INFO = "[" + EmtRecordTimeEnum.I_00.getCode() + "]" + EmtRecordTimeEnum.I_00.getName();


    @Override
    public int insertCus(List<?> list) {
        logger.info("---------- 货物库存数据::写入本次监控数据开始 --------------------");

        List<WmsAcqInventoryInfo03> wmsList = (List<WmsAcqInventoryInfo03>) list;

        List<CusAcqInventoryInfo03> cusList = Wms2CusAcqInventoryInfo03.toCus(wmsList);

        int result = cusAcqInventoryInfoService03.addCusAcqInventoryInfo(cusList);

        logger.info("---【" + DATA_TYPE_INFO + "】写入监控数据:{} 条", result);

        logger.info("---------- 货物库存数据::写入本次监控数据结束 --------------------");
        return result;
    }
}
