package com.emato.cus.supervise.biz.acq0402back;

import com.emato.cus.supervise.biz.CusData;
import com.emato.cus.supervise.constant.EmtRecordTimeEnum;
import com.emato.cus.supervise.domain.WmsAcqShelfLoad04;
import com.emato.cus.supervise.domainCus.CusAcqShelfLoad04;
import com.emato.cus.supervise.entity.Wms2CusAcqShelfLoad04;
import com.emato.cus.supervise.service.cus.CusAcqShelfLoadService04;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 货物上下架数据 上架 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 12:38
 */
@Component
public class Acq0402CusData implements CusData {
    private static final Logger logger = LoggerFactory.getLogger(Acq0402CusData.class);

    @Autowired
    private CusAcqShelfLoadService04 cusAcqShelfLoadService04;

    private static final String DATA_TYPE_INFO = "[" + EmtRecordTimeEnum.I_01_02.getCode() + "]" + EmtRecordTimeEnum.I_01_02.getName();


    @Override
    public int insertCus(List<?> list) {
        logger.info("---------- 货物上下架数据::退港::写入本次监控数据开始 --------------------");

        List<WmsAcqShelfLoad04> wmsList = (List<WmsAcqShelfLoad04>) list;

        List<CusAcqShelfLoad04> cusList = Wms2CusAcqShelfLoad04.toCus(wmsList);

        int result = cusAcqShelfLoadService04.addCusAcqShelfLoad04(cusList);

        logger.info("---【" + DATA_TYPE_INFO + "】写入监控数据:{} 条", result);

        logger.info("---------- 货物上下架数据::退港::写入本次监控数据结束 --------------------");
        return result;
    }
}
