package com.emato.cus.supervise.biz.acq05move;

import com.emato.cus.supervise.biz.CusData;
import com.emato.cus.supervise.constant.EmtRecordTimeEnum;
import com.emato.cus.supervise.domain.WmsAcqGoodsMove05;
import com.emato.cus.supervise.domainCus.CusAcqGoodsMove05;
import com.emato.cus.supervise.entity.Wms2CusAcqGoodsMove05;
import com.emato.cus.supervise.service.cus.CusAcqGoodsMoveService05;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 货物库位移动数据 业务 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 12:38
 */
@Component
public class Acq05CusData implements CusData {
    private static final Logger logger = LoggerFactory.getLogger(Acq05CusData.class);

    @Autowired
    private CusAcqGoodsMoveService05 cusAcqGoodsMoveService05;

    private static final String DATA_TYPE_INFO = "[" + EmtRecordTimeEnum.I_02.getCode() + "]" + EmtRecordTimeEnum.I_02.getName();


    @Override
    public int insertCus(List<?> list) {
        logger.info("---------- 货物库位移动数据::写入本次监控数据开始 --------------------");

        List<WmsAcqGoodsMove05> wmsList = (List<WmsAcqGoodsMove05>) list;

        List<CusAcqGoodsMove05> cusList = Wms2CusAcqGoodsMove05.toCus(wmsList);

        int result = cusAcqGoodsMoveService05.addCusAcqGoodsMove05(cusList);

        logger.info("---【" + DATA_TYPE_INFO + "】写入监控数据:{} 条", result);

        logger.info("---------- 货物库位移动数据::写入本次监控数据结束 --------------------");
        return result;
    }
}
