package com.emato.cus.supervise.biz.acq06Seat;

import com.emato.cus.supervise.biz.CusData;
import com.emato.cus.supervise.constant.EmtRecordTimeEnum;
import com.emato.cus.supervise.domain.WmsAcqGoodsSeat06;
import com.emato.cus.supervise.domainCus.CusAcqGoodsSeat06;
import com.emato.cus.supervise.entity.Wms2CusAcqGoodsSeat06;
import com.emato.cus.supervise.service.cus.CusAcqGoodsSeatService06;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 库位货物数据 业务 CUS
 * @author Scott Chen
 * @version 1.0
 * 2017-10-31 12:38
 */
@Component
public class Acq06CusData implements CusData {
    private static final Logger logger = LoggerFactory.getLogger(Acq06CusData.class);

    @Autowired
    private CusAcqGoodsSeatService06 cusAcqGoodsSeatService06;

    private static final String DATA_TYPE_INFO = "[" + EmtRecordTimeEnum.I_03.getCode() + "]" + EmtRecordTimeEnum.I_03.getName();


    @Override
    public int insertCus(List<?> list) {
        logger.info("---------- 库位货物数据::写入本次监控数据开始 --------------------");

        List<WmsAcqGoodsSeat06> wmsList = (List<WmsAcqGoodsSeat06>) list;

        List<CusAcqGoodsSeat06> cusList = Wms2CusAcqGoodsSeat06.toCus(wmsList);

        int result = cusAcqGoodsSeatService06.addCusAcqGoodsSeat06(cusList);

        logger.info("---【" + DATA_TYPE_INFO + "】写入监控数据:{} 条", result);

        logger.info("---------- 库位货物数据::写入本次监控数据结束 --------------------");
        return result;
    }
}
