package com.emato.cus.supervise.entity;

import com.emato.cus.supervise.constant.CommonConstant;
import com.emato.cus.supervise.domain.WmsAcqGoodsMove05;
import com.emato.cus.supervise.domainCus.CusAcqGoodsMove05;
import com.google.common.collect.ImmutableList;

import java.time.LocalDateTime;
import java.util.Collections;
import java.util.List;

/**
 * WMS数据转换为CUS数据
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:29
 */
public class Wms2CusAcqGoodsMove05 {

    public static List<CusAcqGoodsMove05> toCus(List<WmsAcqGoodsMove05> list) {
        if (list == null || list.size() == 0) {
            return Collections.emptyList();
        }

        ImmutableList.Builder<CusAcqGoodsMove05> builder = new ImmutableList.Builder<>();

        list.stream().forEach(x->{
            CusAcqGoodsMove05 cus = new CusAcqGoodsMove05();

            cus.setShelfLoadTime(x.getShelfLoadTime());
            cus.setShelfUnloadTime(x.getShelfUnloadTime());
            cus.setTargetSeatNo(x.getTargetSeatNo());
            cus.setOriginSeatNo(x.getOriginSeatNo());

            cus.setGoodsName(x.getGoodsName());
            cus.setCodeTs(x.getCodeTs());
            cus.setSkuNo(x.getSkuNo());
            cus.setGoodsId(x.getGoodsId());

            cus.setgUnit(x.getgUnit());
            cus.setgQty(x.getgQty());
            cus.setLegalUnit(x.getLegalUnit());
            cus.setLegalQty(x.getLegalQty());

            cus.setGoodsModel(x.getGoodsModel());
            cus.setLocalEmsNo(x.getLocalEmsNo());

            cus.setStoreCompanyName(x.getStoreCompanyName());
            cus.setStoreUscCode(x.getStoreUscCode());
            cus.setStoreCustomsCode(x.getStoreCustomsCode());
            cus.setStoreCode(x.getStoreCode());

            cus.setCreaterSn(CommonConstant.createSn);
            cus.setCreateTime(LocalDateTime.now());
            cus.setModerSn(CommonConstant.moderSn);
            cus.setModTime(LocalDateTime.now());

            builder.add(cus);
        });

        return builder.build();
    }
}
