package com.emato.cus.supervise.entity;

import com.emato.cus.supervise.constant.CommonConstant;
import com.emato.cus.supervise.domain.WmsAcqInventoryInfo03;
import com.emato.cus.supervise.domainCus.CusAcqInventoryInfo03;
import com.google.common.collect.ImmutableList;

import java.time.LocalDateTime;
import java.util.Collections;
import java.util.List;

/**
 * WMS数据转换为CUS数据
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 17:29
 */
public class Wms2CusAcqInventoryInfo03 {

    public static List<CusAcqInventoryInfo03> toCus(List<WmsAcqInventoryInfo03> list) {
        if (list == null || list.size() == 0) {
            return Collections.emptyList();
        }

        ImmutableList.Builder<CusAcqInventoryInfo03> builder = new ImmutableList.Builder<>();

        list.stream().forEach(x->{
            CusAcqInventoryInfo03 cus = new CusAcqInventoryInfo03();

            cus.setGoodsName(x.getGoodsName());
            cus.setCodeTs(x.getCodeTs());
            cus.setSkuNo(x.getSkuNo());
            cus.setGoodsId(x.getGoodsId());

            cus.setGUnit(x.getGUnit());
            cus.setgQty(x.getgQty());
            cus.setLegalUnit(x.getLegalUnit());
            cus.setLegalQty(x.getLegalQty());

            cus.setGoodsModel(x.getGoodsModel());
            cus.setLocalEmsNo(x.getLocalEmsNo());
            cus.setOwnerCode(x.getOwnerCode());
            cus.setOwnerName(x.getOwnerName());

            cus.setStoreCompanyName(x.getStoreCompanyName());
            cus.setStoreUscCode(x.getStoreUscCode());
            cus.setStoreCustomsCode(x.getStoreCustomsCode());
            cus.setStoreCode(x.getStoreCode());

            cus.setCreaterSn(CommonConstant.createSn);
            cus.setCreateTime(LocalDateTime.now());
            cus.setModerSn(CommonConstant.moderSn);
            cus.setModTime(LocalDateTime.now());

            builder.add(cus);
        });

        return builder.build();
    }
}
