package com.emato.cus.supervise.schedule;

import com.emato.cus.supervise.biz.acq03inve.AcqInventoryInfoBiz03;
import com.emato.cus.supervise.util.LocalDateTimeUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * 货物库存数据 计划任务
 *
 * @author Scott Chen
 * @version 1.0
 * 2017-10-28 11:42
 */
@Configuration
@EnableScheduling
public class AcqInventoryInfoSchedule03 {
    private static final Logger logger = LoggerFactory.getLogger(AcqInventoryInfoSchedule03.class);

    @Autowired
    private AcqInventoryInfoBiz03 acqInventoryInfoBiz03;

    /**
     * 货物库存数据
     */
    //每月1号开始,每天12,22点各1次,共2次
    //@Scheduled(cron = "0 0 12,22 1/1 * ?")
    @Scheduled(cron = "0 0/10 * * * ?")
    public void timer() {
        logger.info("==================== 货物库存数据::监控数据读取开始 ====================");
        String begDateTime = LocalDateTimeUtils.formatNow(LocalDateTimeUtils.DATA_TIME_HYPHEN);
        logger.info("--- 任务开始时间: {}", begDateTime);

        acqInventoryInfoBiz03.task();


        String endDateTime = LocalDateTimeUtils.formatNow(LocalDateTimeUtils.DATA_TIME_HYPHEN);
        logger.info("--- 任务结束时间: {}", endDateTime);
        logger.info("==================== 货物库存数据::监控数据读取结束 ====================");

    }


}
